Subject: Re: bug#19154: [PATCH] Extend file size support in paste.

From: Tobias Stöckmann <[email-masked]>
Date: Sun, 23 Nov 2014 21:26:47 +0100 (CET)

Haven't used any tool except an editor. ;)

I was curious about paste's internals, so I gave my reviewing skills a try.

Tobias

> On November 23, 2014 at 9:12 PM Pádraig Brady <[email-masked]> wrote:
> Nice one. This would result in truncation of the output
> iff there was a \n at position 2^32 in the file on a 32 bit system.
> I'll apply that in a little while (I can't think of an efficient way to test).
> 
> Did you notice this through inspection or compiler warnings wrt integer
> overflow ?
> 
> thanks!
> Pádraig.